Bug 56986 - xf86-video-ati 7.0.0.-1: segmentation fault
xf86-video-ati 7.0.0.-1: segmentation fault
Status: RESOLVED FIXED
Product: xorg
Classification: Unclassified
Component: Server/DDX/Xorg
7.0.0
x86-64 (AMD64) Linux (All)
: medium major
Assigned To: Xorg Project Team
Xorg Project Team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-11 15:57 UTC by Mathias Anselmann
Modified: 2012-12-18 18:21 UTC (History)
5 users (show)

See Also:


Attachments
Xorg log (28.02 KB, text/plain)
2012-11-24 14:25 UTC, eandry@free.fr
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mathias Anselmann 2012-11-11 15:57:16 UTC
Hello,
just did a system upgrade and with the newest radeon driver (7.0.0) x segfaults during startup.
Here is my xorg.log:
http://sprunge.us/NcYL
I have an 4870x2 and I'm on KMS, kernel 3.6.6 and xorg-server 1.13.0 installed on arch linux.
I have a dual screen setup and here is my xorg.conf:
http://sprunge.us/MQWR
I also tried starting without xorg.conf with the same result.

Downgrading the driver to 6.14.6 solved the issue for me and I can start and run x fine with it.

The bug was also reported on the distro bugtracker, with the advice by the packager to report it upstream:
https://bugs.archlinux.org/task/32600

If any further information is required let me know this,
greetings
Mathias
Comment 1 Mike C 2012-11-11 21:09:40 UTC
It is working fine for me on a Dell D610 laptop with:

 lspci -nn | grep VGA
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices [AMD] nee ATI RV370 [Mobility Radeon X300] [1002:5460]

lsmod|grep radeon
radeon                788284  2 
ttm                    46763  1 radeon
drm_kms_helper         28941  1 radeon
drm                   180042  4 ttm,drm_kms_helper,radeon
i2c_algo_bit            4583  1 radeon
i2c_core               16943  4 drm,drm_kms_helper,i2c_algo_bit,radeon

pacman -Q xorg-server xf86-video-ati
xorg-server 1.13.0-4
xf86-video-ati 1:7.0.0-1

I use kdm and kde runs fine with today's updates.

So I guess this issue must be specific to the original poster's graphics chipset or particular setup?
Comment 2 phanisvara das 2012-11-11 21:23:13 UTC
for me it does NOT work, neither using KDM nor SLIM login manager. 

[root@laptop phani]# lsmod | grep radeon
radeon                859558  0 
i2c_algo_bit            5391  2 i915,radeon
drm_kms_helper         32877  2 i915,radeon
ttm                    64384  1 radeon
drm                   218724  6 ttm,i915,drm_kms_helper,radeon
i2c_core               20707  7 drm,i915,i2c_i801,drm_kms_helper,i2c_algo_bit,radeon,videodev
Comment 3 Mike C 2012-11-11 21:44:53 UTC
It may help if the two posters who have the issue reported which graphics chip they are using?
Comment 4 Mike C 2012-11-11 21:50:38 UTC
Also I use late kms - do those having the problem run with early or late kms and does it make any difference?
Comment 5 phanisvara das 2012-11-12 02:04:56 UTC
here's my card spec.s (the intel one inside the CPU):

Card-1: Intel 2nd Generation Core Processor Family Integrated Graphics Controller 
Card-2: Advanced Micro Devices [AMD] nee ATI Whistler LE [AMD Radeon HD 6625M

normally i'm using early KMS, but switching to late (removing radeon from mkinitcpio.conf, regenerating the img) also crashes.
Comment 6 Michel Dänzer 2012-11-12 16:16:57 UTC
Please attach files here directly instead of referencing external sites.

The problem looks related to the GPU offload support added in xserver 1.13 / xf86-video-ati 7.0.
Comment 7 foobarnix 2012-11-16 07:59:07 UTC
Radeon driver hangs here. X starts but suffers intermittent segfaulting. The machine never segfaults in terminal (without X running).

Early KMS, zero-nada-nil-no power saving or sleep stuff. That's all switched off from BIOS, up through terminal, up to X. Yes, I physically switch off the PC at shutdown. I'm not seeing any flavor of sleep mode.

The LCD screen just blanks every now and then; no recovery. Can't get out of X or see terminals. Keyboard is 100% unresponsive. A segfault would explain it.

That's what happens now. Under previous settings, I would get a freeze, but the screen would not go blank. It would just hang in place.

I tried different AGP and KMS things. I got regular hangs at 8x, so dropped to 4x, which is stable, except videos. Then it's a dice roll. If I set to PCI mode (AGP speed -1) then it's more stable, but videos look garbage.

I had to turn off OpenGL in cairo composite manager and use the cairo back end. OpenGL hanged regularly. It's an old machine but ran for many years just fine. I am fairly confident this problem is a video driver and/or settings issue. Here's the data dump. Thanks for your hard work on radeon.

# uname -a
Linux fooboxen 3.6.6-1-ARCH #1 SMP PREEMPT Mon Nov 5 13:14:42 CET 2012 i686 GNU/Linux
# cat /proc/cmdline
BOOT_IMAGE=/boot/vmlinuz-linux root=UUID=b23c3f71-eb3c-4dd2-bf19-1d4ba621de4e ro acpi=off noswap noresume radeon.agpmode=4 radeon.modeset=1 rootfstype=ext4 rootflags=auto,rw,dev,suid,exec,noatime,nodiratime,norelatime,barrier=1,data=writeback,commit=100,nouser_xattr
# lspci -nn | grep VGA
01:00.0 VGA compatible controller [0300]: Advanced Micro Devices [AMD] nee ATI RV350 AS [Radeon 9550] [1002:4153]
# lsmod | grep radeon
radeon                788284  1 
i2c_algo_bit            4583  1 radeon
drm_kms_helper         28941  1 radeon
ttm                    46763  1 radeon
drm                   180042  3 ttm,drm_kms_helper,radeon
i2c_core               16943  6 drm,i2c_dev,drm_kms_helper,i2c_algo_bit,i2c_viapro,radeon
# pacman -Q xorg-server xf86-video-ati
xorg-server 1.13.0-4
xf86-video-ati 1:7.0.0-1
# cat /etc/X11/xorg.conf.d/10-ati-radeon-9550.conf
Section "Device"
  Identifier  "DEVICE ATI Radeon 9550"
  Driver      "radeon"
  Option      "AGPMode"                 "4"
  Option      "AGPFastWrite"            "no"
  Option      "AccelMethod"             "EXA"
  Option      "MigrationHeuristic"      "greedy"
  Option      "AccelDFS"                "true"
  Option      "EnablePageFlip"          "false"
  Option      "EnableDepthMoves"        "true"
EndSection
Comment 8 Michel Dänzer 2012-11-16 10:11:25 UTC
(In reply to comment #7)

foobarnix, your problems don't seem to have anything to do with this bug report. Please file your own report.
Comment 9 foobarnix 2012-11-17 00:07:25 UTC
(In reply to comment #8)

It's a point-oh-oh radeon driver release.
Think in spectrum,

Can't start X: segfault
  Can start X, can run X: segfault risk
    Can start X, can run X: OK
    
Reports cover it end to end. I'm the middle case. Came here from Arch forums. The bug is a segfaulting radeon driver. Two similar simultaneous bugs is an unlikely guess. One is likely. Thanks.
Comment 10 dbdaniel42 2012-11-24 13:44:32 UTC
Having the same problem with Arch Linux using a Radeon 5970. My xorg log:

http://pastebin.com/C0eGNuXk
Comment 11 eandry@free.fr 2012-11-24 14:25:41 UTC
Created attachment 70515 [details]
Xorg log

Same on my Gentoo samsung laptop (glamor disabled) :

00:01.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Device 9900 (prog-if 00 [VGA controller])
	Subsystem: Samsung Electronics Co Ltd Device c0da
	Flags: bus master, fast devsel, latency 0, IRQ 50
	Memory at b0000000 (32-bit, prefetchable) [size=256M]
	I/O ports at f000 [size=256]
	Memory at feb00000 (32-bit, non-prefetchable) [size=256K]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: [50] Power Management version 3
	Capabilities: [58] Express Root Complex Integrated Endpoint, MSI 00
	Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Kernel driver in use: radeon


01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Thames XT/GL [Radeon HD 7600M Series] (prog-if 00 [VGA controller])
	Subsystem: Samsung Electronics Co Ltd Device c0da
	Flags: bus master, fast devsel, latency 0, IRQ 51
	Memory at c0000000 (64-bit, prefetchable) [size=256M]
	Memory at fea20000 (64-bit, non-prefetchable) [size=128K]
	I/O ports at e000 [size=256]
	Expansion ROM at fea00000 [disabled] [size=128K]
	Capabilities: [50] Power Management version 3
	Capabilities: [58] Express Legacy Endpoint, MSI 00
	Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Capabilities: [150] Advanced Error Reporting
	Kernel driver in use: radeon
Comment 12 Francisco Vazquez 2012-11-25 10:07:38 UTC
Same, HP laptop with gentoo and dual graphics (intel sandy bridge + radeon hd 6770m). I have to disable the ati gpu via switcheroo before starting X in order to get it to run. Logs:

http://pastebin.com/vm4vEW8z <- video-ati-6.14.6, ati GPU enabled (works ok)
http://pastebin.com/XfKAkLSs <- video-ati-7.0.0, ati GPU enabled (segfaults)
http://pastebin.com/YjxNwsMQ <- video-ati-7.0.0, ati GPU disabled (works ok)
Comment 13 Michael Dressel 2012-11-25 10:25:11 UTC
I did bisecting and found the first bad commit:
2e96aa641bc8a5c263a5b643961383cdf530d044

I have a dell vostro laptop
VGA compatible controller: Advanced Micro Devices [AMD] nee ATI BeaverCreek [Mobility Radeon HD 6620G]
Comment 14 Michel Dänzer 2012-11-26 14:07:21 UTC
(In reply to comment #13)
> I did bisecting and found the first bad commit:
> 2e96aa641bc8a5c263a5b643961383cdf530d044

In that case,

 Option "ColorTiling2D" "off"

should work around the problem. Does it?
Comment 15 phanisvara das 2012-11-26 14:19:25 UTC
"In that case,
 Option "ColorTiling2D" "off"
should work around the problem. Does it?"

no, for me it doesn't.
Comment 16 Mathias Anselmann 2012-11-26 15:51:30 UTC
For me
Option "ColorTiling2D" "off"
does not help either.
Comment 17 Michael Dressel 2012-11-26 19:50:07 UTC
(In reply to comment #14)
> (In reply to comment #13)
> > I did bisecting and found the first bad commit:
> > 2e96aa641bc8a5c263a5b643961383cdf530d044
> 
> In that case,
> 
>  Option "ColorTiling2D" "off"
> 
> should work around the problem. Does it?

Yes it solves the issue of this bug report for me. It does not solve
the bug #56405
Comment 18 Francisco Vazquez 2012-11-26 20:07:43 UTC
Then we have different bugs. In my case, the first bad commit is:

commit f71139a2afe8fffb628331402bf829a6d67c9fff
Author: Dave Airlie <airlied@redhat.com>
Date:   Mon Sep 3 12:37:22 2012 +1000

    radeon: add platform bus loading support.
    
    This allows the radeon driver to be loaded via the platform bus mechanism.

Up to commit 9911e72ea79e000ee0492d19a434aa98b83b5066, everything works.
Comment 19 Michel Dänzer 2012-11-27 12:10:46 UTC
(In reply to comment #18)
> Then we have different bugs. In my case, the first bad commit is:
> 
> commit f71139a2afe8fffb628331402bf829a6d67c9fff
> Author: Dave Airlie <airlied@redhat.com>
> Date:   Mon Sep 3 12:37:22 2012 +1000
> 
>     radeon: add platform bus loading support.

That certainly makes more sense for this report.

Michael Dressel, please file your own report.
Comment 20 Michael Dressel 2012-11-27 21:11:54 UTC
You are right. Sorry.

My problem is described already in bug #56720
Comment 21 Mathias Anselmann 2012-12-16 22:04:33 UTC
Just updated to xorg-server 1.13.1 and this solved the issue for me, now radeon drivers version 7.0.0 run fine here - does anybody still have problems with radeon or can the status be set to resolved?
Comment 22 Adam Reichold 2012-12-17 06:14:19 UTC
(In reply to comment #21)
> Just updated to xorg-server 1.13.1 and this solved the issue for me, now
> radeon drivers version 7.0.0 run fine here - does anybody still have
> problems with radeon or can the status be set to resolved?

For me, the problem persists using version 1.13.1 of the X server.
Comment 23 phanisvara das 2012-12-17 07:58:31 UTC
for me the latest xorg-server (1.13.1) fixes the problem.

(Advanced Micro Devices [AMD] nee ATI Whistler LE [AMD Radeon HD 6625M
on 3.7.0-1-ARCH / x86_64)
Comment 24 Michel Dänzer 2012-12-18 18:21:54 UTC
(In reply to comment #21)
> Just updated to xorg-server 1.13.1 and this solved the issue for me, now
> radeon drivers version 7.0.0 run fine here - does anybody still have
> problems with radeon or can the status be set to resolved?

As the submitter of this report, you don't need to ask anyone. :)

Those still having problems should create separate reports.